commit dd13dc280943a86221c31ef05d925c722c184486
Author: freddy77 <freddy77>
Date:   Thu Nov 6 15:56:38 2008 +0000

    more odbc test updates

diff --git a/ChangeLog b/ChangeLog
index 7d9fc52..b3d9c62 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,13 @@
+Thu Nov 06 16:55:25 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/unittests/blob1.c src/odbc/unittests/common.c:
+	* src/odbc/unittests/common.h src/odbc/unittests/connect.c:
+	* src/odbc/unittests/connect2.c src/odbc/unittests/error.c:
+	* src/odbc/unittests/test64.c src/odbc/unittests/timeout.c:
+	* src/odbc/unittests/timeout3.c src/odbc/unittests/utf8.c:
+	* src/odbc/unittests/utf8_2.c:
+	- remove CHK and CheckReturn
+	- style update
+
 Thu Nov 06 15:39:50 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/tds/challenge.c: make it compile under VC6
 
@@ -902,4 +912,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2653 2008/11/06 14:39:57 freddy77 Exp $
+$Id: ChangeLog,v 1.2654 2008/11/06 15:56:38 freddy77 Exp $
diff --git a/src/odbc/unittests/blob1.c b/src/odbc/unittests/blob1.c
index 66b64ea..8c0ca59 100755
--- a/src/odbc/unittests/blob1.c
+++ b/src/odbc/unittests/blob1.c
@@ -3,7 +3,7 @@
 
 #include "common.h"
 
-static char software_version[] = "$Id: blob1.c,v 1.11 2008/11/04 14:46:17 freddy77 Exp $";
+static char software_version[] = "$Id: blob1.c,v 1.12 2008/11/06 15:56:39 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #define CHECK_RCODE(t,h,m) \
@@ -241,7 +241,7 @@ main(int argc, char **argv)
 
 	for (i = 0; i < cnt; i++) {
 
-		CHK(SQLAllocHandle, (SQL_HANDLE_STMT, Connection, &Statement));
+		CHKAllocHandle(SQL_HANDLE_STMT, Connection, &Statement, "S");
 
 		if (db_is_microsoft()) {
 			CHKSetStmtAttr(SQL_ATTR_CURSOR_SCROLLABLE, (SQLPOINTER) SQL_NONSCROLLABLE, SQL_IS_UINTEGER, "S");
diff --git a/src/odbc/unittests/common.c b/src/odbc/unittests/common.c
index 3c18426..7bd452d 100644
--- a/src/odbc/unittests/common.c
+++ b/src/odbc/unittests/common.c
@@ -12,7 +12,7 @@
 #define TDS_SDIR_SEPARATOR "\\"
 #endif
 
-static char software_version[] = "$Id: common.c,v 1.50 2008/11/04 14:46:17 freddy77 Exp $";
+static char software_version[] = "$Id: common.c,v 1.51 2008/11/06 15:56:39 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 HENV Environment;
@@ -168,30 +168,44 @@ ReportError(const char *errmsg, int line, const char *file)
 	exit(1);
 }
 
-void
-CheckReturn(void)
+static void
+ReportODBCError(const char *errmsg, SQLSMALLINT handletype, SQLHANDLE handle, SQLRETURN rc, int line, const char *file)
 {
-	ReportError("", 0, "");
+	SQLRETURN ret;
+	unsigned char sqlstate[6];
+	unsigned char msg[256];
+
+
+	if (errmsg[0]) {
+		if (line)
+			fprintf(stderr, "%s:%d %s\n", file, line, errmsg);
+		else
+			fprintf(stderr, "%s\n", errmsg);
+	}
+	ret = SQLGetDiagRec(handletype, handle, 1, sqlstate, NULL, msg, sizeof(msg), NULL);
+	if (ret == SQL_SUCCESS || ret == SQL_SUCCESS_WITH_INFO)
+		fprintf(stderr, "SQL error %s -- %s\n", sqlstate, msg);
+	Disconnect();
+	exit(1);
 }
 
 int
 Connect(void)
 {
 
-	int res;
-
+	SQLRETURN RetCode;
 
 	char command[512];
 
 	if (read_login_info())
 		exit(1);
 
-	CHK(SQLAllocEnv, (&Environment));
+	CHKAllocEnv(&Environment, "S");
 
 	if (use_odbc_version3)
 		SQLSetEnvAttr(Environment, SQL_ATTR_ODBC_VERSION, (SQLPOINTER) (SQL_OV_ODBC3), SQL_IS_UINTEGER);
 
-	CHK(SQLAllocConnect, (Environment, &Connection));
+	CHKAllocConnect(&Connection, "S");
 	printf("odbctest\n--------\n\n");
 	printf("connection parameters:\nserver:   '%s'\nuser:     '%s'\npassword: '%s'\ndatabase: '%s'\n",
 	       SERVER, USER, "????" /* PASSWORD */ , DATABASE);
@@ -199,11 +213,7 @@ Connect(void)
 	if (odbc_set_conn_attr)
 		(*odbc_set_conn_attr)();
 
-	res = SQLConnect(Connection, (SQLCHAR *) SERVER, SQL_NTS, (SQLCHAR *) USER, SQL_NTS, (SQLCHAR *) PASSWORD, SQL_NTS);
-	if (!SQL_SUCCEEDED(res)) {
-		printf("Unable to open data source (ret=%d)\n", res);
-		CheckReturn();
-	}
+	CHKR(SQLConnect, (Connection, (SQLCHAR *) SERVER, SQL_NTS, (SQLCHAR *) USER, SQL_NTS, (SQLCHAR *) PASSWORD, SQL_NTS), "SI");
 
 	CHKAllocStmt(&Statement, "S");
 
@@ -290,7 +300,7 @@ const char *db_version(void)
 	SQLSMALLINT version_len;
 
 	if (!db_str_version[0])
-		CHK(SQLGetInfo, (Connection, SQL_DBMS_VER, db_str_version, sizeof(db_str_version), &version_len));
+		CHKR(SQLGetInfo, (Connection, SQL_DBMS_VER, db_str_version, sizeof(db_str_version), &version_len), "S");
 
 	return db_str_version;
 }
@@ -345,11 +355,11 @@ CheckRows(int n, int line, const char * file)
 }
 
 void
-ResetStatement(void)
+ResetStatementProc(SQLHSTMT *stmt, const char *file, int line)
 {
-	SQLFreeStmt(Statement, SQL_DROP);
-	Statement = SQL_NULL_HSTMT;
-	CHKAllocStmt(&Statement, "S");
+	SQLFreeStmt(*stmt, SQL_DROP);
+	*stmt = SQL_NULL_HSTMT;
+	CheckRes(file, line, SQLAllocStmt(Connection, stmt), SQL_HANDLE_DBC, Connection, "SQLAllocStmt", "S");
 }
 
 void
@@ -369,7 +379,7 @@ CheckCursor(void)
 			Disconnect();
 			exit(0);
 		}
-		ODBC_REPORT_ERROR("SQLSetStmtAttr");
+		ReportODBCError("SQLSetStmtAttr", SQL_HANDLE_STMT, Statement, retcode, __LINE__, __FILE__);
 	}
 	ResetStatement();
 }
@@ -399,12 +409,14 @@ CheckRes(const char *file, int line, SQLRETURN rc, SQLSMALLINT handle_type, SQLH
 			if (rc == SQL_NEED_DATA)
 				return rc;
 			p += 2;
+		} else if (!*p) {
+			break;
 		} else {
 			ReportError("Wrong results specified", line, file);
 			return rc;
 		}
 	}
-	ReportError(func, line, file);
+	ReportODBCError(func, handle_type, handle, rc, line, file);
 	return rc;
 }
 
diff --git a/src/odbc/unittests/common.h b/src/odbc/unittests/common.h
index dc2ba24..a698ab6 100644
--- a/src/odbc/unittests/common.h
+++ b/src/odbc/unittests/common.h
@@ -21,7 +21,7 @@
 #include <sql.h>
 #include <sqlext.h>
 
-static char rcsid_common_h[] = "$Id: common.h,v 1.26 2008/11/04 14:46:17 freddy77 Exp $";
+static char rcsid_common_h[] = "$Id: common.h,v 1.27 2008/11/06 15:56:39 freddy77 Exp $";
 static void *no_unused_common_h_warn[] = { rcsid_common_h, no_unused_common_h_warn };
 
 #ifndef HAVE_SQLLEN
@@ -47,23 +47,18 @@ extern char DATABASE[512];
 extern char DRIVER[1024];
 
 int read_login_info(void);
-void CheckReturn(void);
 void ReportError(const char *msg, int line, const char *file);
 
 void CheckCols(int n, int line, const char * file);
 void CheckRows(int n, int line, const char * file);
 #define CHECK_ROWS(n) CheckRows(n, __LINE__, __FILE__)
 #define CHECK_COLS(n) CheckCols(n, __LINE__, __FILE__)
-void ResetStatement(void);
+void ResetStatementProc(SQLHSTMT *stmt, const char *file, int line);
+#define ResetStatement() ResetStatementProc(&Statement, __FILE__, __LINE__)
 void CheckCursor(void);
 
 #define ODBC_REPORT_ERROR(msg) ReportError(msg, __LINE__, __FILE__)
 
-#define CHK(func,params) \
-	do { if ((RetCode=(func params)) != SQL_SUCCESS) \
-		ODBC_REPORT_ERROR(#func); \
-	} while(0)
-
 SQLRETURN CheckRes(const char *file, int line, SQLRETURN rc, SQLSMALLINT handle_type, SQLHANDLE handle, const char *func, const char *res);
 #define CHKR(func, params, res) \
 	CheckRes(__FILE__, __LINE__, (RetCode=(func params)), 0, 0, #func, res)
@@ -72,6 +67,10 @@ SQLRETURN CheckRes(const char *file, int line, SQLRETURN rc, SQLSMALLINT handle_
 
 SQLSMALLINT AllocHandleErrType(SQLSMALLINT type);
 
+#define CHKAllocConnect(a,res) \
+	CHKR2(SQLAllocConnect, (Environment,a), SQL_HANDLE_ENV, Environment, res)
+#define CHKAllocEnv(a,res) \
+	CHKR2(SQLAllocEnv, (a), 0, 0, res)
 #define CHKAllocStmt(a,res) \
 	CHKR2(SQLAllocStmt, (Connection,a), SQL_HANDLE_DBC, Connection, res)
 #define CHKAllocHandle(a,b,c,res) \
@@ -88,6 +87,8 @@ SQLSMALLINT AllocHandleErrType(SQLSMALLINT type);
 	CHKR2(SQLColAttribute, (Statement,a,b,c,d,e,f), SQL_HANDLE_STMT, Statement, res)
 #define CHKDescribeCol(a,b,c,d,e,f,g,h,res) \
 	CHKR2(SQLDescribeCol, (Statement,a,b,c,d,e,f,g,h), SQL_HANDLE_STMT, Statement, res)
+#define CHKDriverConnect(a,b,c,d,e,f,g,res) \
+	CHKR2(SQLDriverConnect, (Connection,a,b,c,d,e,f,g), SQL_HANDLE_DBC, Connection, res)
 #define CHKEndTran(a,b,c,res) \
 	CHKR2(SQLEndTran, (a,b,c), a, b, res)
 #define CHKExecDirect(a,b,res) \
diff --git a/src/odbc/unittests/connect.c b/src/odbc/unittests/connect.c
index 1d1537d..f634bae 100644
--- a/src/odbc/unittests/connect.c
+++ b/src/odbc/unittests/connect.c
@@ -1,7 +1,7 @@
 #include "common.h"
 
 
-static char software_version[] = "$Id: connect.c,v 1.10 2008/11/04 10:59:02 freddy77 Exp $";
+static char software_version[] = "$Id: connect.c,v 1.11 2008/11/06 15:56:39 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static void init_connect(void);
@@ -9,8 +9,8 @@ static void init_connect(void);
 static void
 init_connect(void)
 {
-	CHKR(SQLAllocEnv, (&Environment), "S");
-	CHKR(SQLAllocConnect, (Environment, &Connection), "S");
+	CHKAllocEnv(&Environment, "S");
+	CHKAllocConnect(&Connection, "S");
 }
 
 int
@@ -58,7 +58,7 @@ main(int argc, char *argv[])
 	printf("connect string DSN connect..\n");
 	init_connect();
 	sprintf(tmp, "DSN=%s;UID=%s;PWD=%s;DATABASE=%s;", SERVER, USER, PASSWORD, DATABASE);
-	CHKR(SQLDriverConnect, (Connection, NULL, (SQLCHAR *) tmp, SQL_NTS, (SQLCHAR *) tmp, sizeof(tmp), &len, SQL_DRIVER_NOPROMPT), "SI");
+	CHKDriverConnect(NULL, (SQLCHAR *) tmp, SQL_NTS, (SQLCHAR *) tmp, sizeof(tmp), &len, SQL_DRIVER_NOPROMPT, "SI");
 	Disconnect();
 
 	/* try connect string using old SERVERNAME specification */
@@ -68,7 +68,7 @@ main(int argc, char *argv[])
 	/* this is expected to work with unixODBC */
 	init_connect();
 	sprintf(tmp, "DRIVER=FreeTDS;SERVERNAME=%s;UID=%s;PWD=%s;DATABASE=%s;", SERVER, USER, PASSWORD, DATABASE);
-	CHKR(SQLDriverConnect, (Connection, NULL, (SQLCHAR *) tmp, SQL_NTS, (SQLCHAR *) tmp, sizeof(tmp), &len, SQL_DRIVER_NOPROMPT), "SIE");
+	CHKDriverConnect(NULL, (SQLCHAR *) tmp, SQL_NTS, (SQLCHAR *) tmp, sizeof(tmp), &len, SQL_DRIVER_NOPROMPT, "SIE");
 	if (RetCode == SQL_ERROR) {
 		printf("Unable to open data source (ret=%d)\n", RetCode);
 		++failures;
@@ -78,7 +78,7 @@ main(int argc, char *argv[])
 	/* this is expected to work with iODBC */
 	init_connect();
 	sprintf(tmp, "DRIVER=%s;SERVERNAME=%s;UID=%s;PWD=%s;DATABASE=%s;", DRIVER, SERVER, USER, PASSWORD, DATABASE);
-	CHKR(SQLDriverConnect, (Connection, NULL, (SQLCHAR *) tmp, SQL_NTS, (SQLCHAR *) tmp, sizeof(tmp), &len, SQL_DRIVER_NOPROMPT), "SIE");
+	CHKDriverConnect(NULL, (SQLCHAR *) tmp, SQL_NTS, (SQLCHAR *) tmp, sizeof(tmp), &len, SQL_DRIVER_NOPROMPT, "SIE");
 	if (RetCode == SQL_ERROR) {
 		printf("Unable to open data source (ret=%d)\n", RetCode);
 		++failures;
@@ -87,7 +87,7 @@ main(int argc, char *argv[])
 
 	/* at least one should success.. */
 	if (failures > 1) {
-		CheckReturn();
+		ODBC_REPORT_ERROR("Too much failures");
 		exit(1);
 	}
 
diff --git a/src/odbc/unittests/connect2.c b/src/odbc/unittests/connect2.c
index 9eacb7b..9d60b28 100644
--- a/src/odbc/unittests/connect2.c
+++ b/src/odbc/unittests/connect2.c
@@ -5,7 +5,7 @@
  * either SQLConnect and SQLDriverConnect
  */
 
-static char software_version[] = "$Id: connect2.c,v 1.6 2008/11/04 10:59:02 freddy77 Exp $";
+static char software_version[] = "$Id: connect2.c,v 1.7 2008/11/06 15:56:39 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static int failed = 0;
@@ -15,8 +15,8 @@ static void init_connect(void);
 static void
 init_connect(void)
 {
-	CHKR(SQLAllocEnv, (&Environment), "S");
-	CHKR(SQLAllocConnect, (Environment, &Connection), "S");
+	CHKAllocEnv(&Environment, "S");
+	CHKAllocConnect(&Connection, "S");
 }
 
 static void
@@ -31,7 +31,7 @@ driver_connect(const char *conn_str)
 	char tmp[1024];
 	SQLSMALLINT len;
 
-	CHKR(SQLDriverConnect, (Connection, NULL, (SQLCHAR *) conn_str, SQL_NTS, (SQLCHAR *) tmp, sizeof(tmp), &len, SQL_DRIVER_NOPROMPT), "SI");
+	CHKDriverConnect(NULL, (SQLCHAR *) conn_str, SQL_NTS, (SQLCHAR *) tmp, sizeof(tmp), &len, SQL_DRIVER_NOPROMPT, "SI");
 }
 
 static void
diff --git a/src/odbc/unittests/error.c b/src/odbc/unittests/error.c
index 153bdd1..ae85137 100644
--- a/src/odbc/unittests/error.c
+++ b/src/odbc/unittests/error.c
@@ -2,7 +2,7 @@
 
 /* some tests on error reporting */
 
-static char software_version[] = "$Id: error.c,v 1.6 2008/11/04 14:46:17 freddy77 Exp $";
+static char software_version[] = "$Id: error.c,v 1.7 2008/11/06 15:56:39 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static SQLCHAR output[256];
@@ -18,7 +18,7 @@ ReadError(void)
 int
 main(int argc, char *argv[])
 {
-	SQLRETURN retcode;
+	SQLRETURN RetCode;
 	HSTMT stmt, tmp_stmt;
 
 	Connect();
@@ -32,16 +32,15 @@ main(int argc, char *argv[])
 	Command("insert into #tmp values(7)");
 
 	/* issue our command */
-	retcode = CommandWithResult(Statement, "select 100 / (i - 5) from #tmp order by i");
+	if (db_is_microsoft())
+		CHKR(CommandWithResult, (Statement, "select 100 / (i - 5) from #tmp order by i"), "SE");
+	else
+		CHKR(CommandWithResult, (Statement, "select 100 / (i - 5) from #tmp order by i"), "E");
 
 	/* special case, Sybase detect error early */
-	if (retcode != SQL_ERROR || db_is_microsoft()) {
-
-		if (retcode != SQL_SUCCESS)
-			ODBC_REPORT_ERROR("Error in command");
+	if (RetCode != SQL_ERROR) {
 
 		/* TODO when multiple row fetch available test for error on some columns */
-
 		CHKFetch("S");
 		CHKFetch("S");
 		CHKFetch("E");
diff --git a/src/odbc/unittests/test64.c b/src/odbc/unittests/test64.c
index 6a99d5e..a7fdcb4 100644
--- a/src/odbc/unittests/test64.c
+++ b/src/odbc/unittests/test64.c
@@ -1,7 +1,7 @@
 /* test win64 consistency */
 #include "common.h"
 
-static char software_version[] = "$Id: test64.c,v 1.7 2008/11/04 14:46:18 freddy77 Exp $";
+static char software_version[] = "$Id: test64.c,v 1.8 2008/11/06 15:56:39 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 /*
@@ -22,7 +22,7 @@ check_ipd_params(void)
 	/* get IPD */
 	CHKGetStmtAttr(SQL_ATTR_IMP_PARAM_DESC, &desc, sizeof(desc), &ind, "S");
 
-	CHK(SQLGetDescField, (desc, 0, SQL_DESC_ROWS_PROCESSED_PTR, &ptr2, sizeof(ptr2), &ind));
+	CHKR(SQLGetDescField, (desc, 0, SQL_DESC_ROWS_PROCESSED_PTR, &ptr2, sizeof(ptr2), &ind), "S");
 
 	if (ptr != ptr2) {
 		fprintf(stderr, "IPD inconsistency ptr %p ptr2 %p\n", ptr, ptr2);
@@ -45,7 +45,7 @@ set_ipd_params2(SQLULEN *ptr)
 	/* get IPD */
 	CHKGetStmtAttr(SQL_ATTR_IMP_PARAM_DESC, &desc, sizeof(desc), &ind, "S");
 
-	CHK(SQLSetDescField, (desc, 1, SQL_DESC_ROWS_PROCESSED_PTR, ptr, 0));
+	CHKR(SQLSetDescField, (desc, 1, SQL_DESC_ROWS_PROCESSED_PTR, ptr, 0), "S");
 }
 
 static void
@@ -139,7 +139,7 @@ check_ird_params(void)
 	/* get IRD */
 	CHKGetStmtAttr(SQL_ATTR_IMP_ROW_DESC, &desc, sizeof(desc), &ind, "S");
 
-	CHK(SQLGetDescField, (desc, 0, SQL_DESC_ROWS_PROCESSED_PTR, &ptr2, sizeof(ptr2), &ind));
+	CHKR(SQLGetDescField, (desc, 0, SQL_DESC_ROWS_PROCESSED_PTR, &ptr2, sizeof(ptr2), &ind), "S");
 
 	if (ptr != ptr2) {
 		fprintf(stderr, "IRD inconsistency ptr %p ptr2 %p\n", ptr, ptr2);
@@ -162,7 +162,7 @@ set_ird_params2(SQLULEN *ptr)
 	/* get IRD */
 	CHKGetStmtAttr(SQL_ATTR_IMP_ROW_DESC, &desc, sizeof(desc), &ind, "S");
 
-	CHK(SQLSetDescField, (desc, 1, SQL_DESC_ROWS_PROCESSED_PTR, ptr, 0));
+	CHKR(SQLSetDescField, (desc, 1, SQL_DESC_ROWS_PROCESSED_PTR, ptr, 0), "S");
 }
 
 static const rows_set_t row_set[] = {
diff --git a/src/odbc/unittests/timeout.c b/src/odbc/unittests/timeout.c
index 5a820aa..ee3edef 100644
--- a/src/odbc/unittests/timeout.c
+++ b/src/odbc/unittests/timeout.c
@@ -3,7 +3,7 @@
 
 /* Test timeout of query */
 
-static char software_version[] = "$Id: timeout.c,v 1.10 2008/11/04 14:46:18 freddy77 Exp $";
+static char software_version[] = "$Id: timeout.c,v 1.11 2008/11/06 15:56:39 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static void
@@ -24,7 +24,6 @@ main(int argc, char *argv[])
 	HENV env;
 	HDBC dbc;
 	HSTMT stmt;
-	SQLRETURN ret;
 	SQLINTEGER i;
 
 	Connect();
@@ -60,9 +59,7 @@ main(int argc, char *argv[])
 	EndTransaction(SQL_ROLLBACK);
 
 	/* TODO should return error S1T00 Timeout expired, test error message */
-	ret = CommandWithResult(Statement, "update test_timeout set t = 'bad' where n = 1");
-	if (ret != SQL_ERROR)
-		ODBC_REPORT_ERROR("SQLExecDirect success ??");
+	CHKR(CommandWithResult, (Statement, "update test_timeout set t = 'bad' where n = 1"), "E");
 
 	EndTransaction(SQL_ROLLBACK);
 
diff --git a/src/odbc/unittests/timeout3.c b/src/odbc/unittests/timeout3.c
index ae15217..27e81fd 100644
--- a/src/odbc/unittests/timeout3.c
+++ b/src/odbc/unittests/timeout3.c
@@ -40,7 +40,7 @@
 	test connection timeout
 */
 
-static char software_version[] = "$Id: timeout3.c,v 1.8 2008/11/04 10:59:02 freddy77 Exp $";
+static char software_version[] = "$Id: timeout3.c,v 1.9 2008/11/06 15:56:39 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static void init_connect(void);
@@ -48,9 +48,9 @@ static void init_connect(void);
 static void
 init_connect(void)
 {
-	CHKR(SQLAllocEnv, (&Environment), "S");
+	CHKAllocEnv(&Environment, "S");
 	SQLSetEnvAttr(Environment, SQL_ATTR_ODBC_VERSION, (SQLPOINTER) (SQL_OV_ODBC3), SQL_IS_UINTEGER);
-	CHKR(SQLAllocConnect, (Environment, &Connection), "S");
+	CHKAllocConnect(&Connection, "S");
 }
 
 static pthread_t      fake_thread;
@@ -164,7 +164,7 @@ main(int argc, char *argv[])
 	printf("try to connect to our port just to check connection timeout\n");
 	sprintf(tmp, "DRIVER=FreeTDS;SERVER=127.0.0.1;Port=%d;TDS_Version=7.0;UID=test;PWD=test;DATABASE=tempdb;", port);
 	start_time = time(NULL);
-	CHKR(SQLDriverConnect, (Connection, NULL, (SQLCHAR *) tmp, SQL_NTS, (SQLCHAR *) tmp, sizeof(tmp), &len, SQL_DRIVER_NOPROMPT), "E");
+	CHKDriverConnect(NULL, (SQLCHAR *) tmp, SQL_NTS, (SQLCHAR *) tmp, sizeof(tmp), &len, SQL_DRIVER_NOPROMPT, "E");
 	end_time = time(NULL);
 
 	strcpy(sqlstate, "XXXXX");
diff --git a/src/odbc/unittests/utf8.c b/src/odbc/unittests/utf8.c
index e0e6cc6..671b37b 100755
--- a/src/odbc/unittests/utf8.c
+++ b/src/odbc/unittests/utf8.c
@@ -1,7 +1,7 @@
 #include "common.h"
 
 /* test binding with UTF-8 encoding */
-static char software_version[] = "$Id: utf8.c,v 1.9 2008/11/04 14:46:18 freddy77 Exp $";
+static char software_version[] = "$Id: utf8.c,v 1.10 2008/11/06 15:56:39 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static void init_connect(void);
@@ -9,9 +9,9 @@ static void init_connect(void);
 static void
 init_connect(void)
 {
-	CHK(SQLAllocEnv, (&Environment));
+	CHKAllocEnv(&Environment, "S");
 	SQLSetEnvAttr(Environment, SQL_ATTR_ODBC_VERSION, (SQLPOINTER) (SQL_OV_ODBC3), SQL_IS_UINTEGER);
-	CHK(SQLAllocConnect, (Environment, &Connection));
+	CHKAllocConnect(&Connection, "S");
 }
 
 static void
@@ -116,7 +116,7 @@ main(int argc, char *argv[])
 	/* connect string using DSN */
 	init_connect();
 	sprintf(tmp, "DSN=%s;UID=%s;PWD=%s;DATABASE=%s;ClientCharset=UTF-8;", SERVER, USER, PASSWORD, DATABASE);
-	CHKR(SQLDriverConnect, (Connection, NULL, (SQLCHAR *) tmp, SQL_NTS, (SQLCHAR *) tmp, sizeof(tmp), &len, SQL_DRIVER_NOPROMPT), "SI");
+	CHKDriverConnect(NULL, (SQLCHAR *) tmp, SQL_NTS, (SQLCHAR *) tmp, sizeof(tmp), &len, SQL_DRIVER_NOPROMPT, "SI");
 	if (!driver_is_freetds()) {
 		Disconnect();
 		printf("Driver is not FreeTDS, exiting\n");
diff --git a/src/odbc/unittests/utf8_2.c b/src/odbc/unittests/utf8_2.c
index 4304fe5..2eb9e33 100755
--- a/src/odbc/unittests/utf8_2.c
+++ b/src/odbc/unittests/utf8_2.c
@@ -1,7 +1,7 @@
 #include "common.h"
 
 /* test conversion of Hebrew characters (which have shift sequences) */
-static char software_version[] = "$Id: utf8_2.c,v 1.7 2008/11/04 14:46:18 freddy77 Exp $";
+static char software_version[] = "$Id: utf8_2.c,v 1.8 2008/11/06 15:56:39 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static void init_connect(void);
@@ -9,9 +9,9 @@ static void init_connect(void);
 static void
 init_connect(void)
 {
-	CHK(SQLAllocEnv, (&Environment));
+	CHKAllocEnv(&Environment, "S");
 	SQLSetEnvAttr(Environment, SQL_ATTR_ODBC_VERSION, (SQLPOINTER) (SQL_OV_ODBC3), SQL_IS_UINTEGER);
-	CHK(SQLAllocConnect, (Environment, &Connection));
+	CHKAllocConnect(&Connection, "S");
 }
 
 static const char * const strings[] = {
@@ -47,7 +47,7 @@ main(int argc, char *argv[])
 	/* connect string using DSN */
 	init_connect();
 	sprintf(tmp, "DSN=%s;UID=%s;PWD=%s;DATABASE=%s;ClientCharset=UTF-8;", SERVER, USER, PASSWORD, DATABASE);
-	CHKR(SQLDriverConnect, (Connection, NULL, (SQLCHAR *) tmp, SQL_NTS, (SQLCHAR *) tmp, sizeof(tmp), &len, SQL_DRIVER_NOPROMPT), "SI");
+	CHKDriverConnect(NULL, (SQLCHAR *) tmp, SQL_NTS, (SQLCHAR *) tmp, sizeof(tmp), &len, SQL_DRIVER_NOPROMPT, "SI");
 	if (!driver_is_freetds()) {
 		Disconnect();
 		printf("Driver is not FreeTDS, exiting\n");

